petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCompositeScatter

Scatters from a global packed vector into its individual local vectors

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeScatter(DM dm,Vec gvec,...)

Collective on DMComposite Many br

### Input Parameters

| dm | - the packer object Many br
| gvec | - the global vector Many br
| Vec ... | - the individual sequential vectors, NULL for those that are not needed Many br

Many br

### Notes

DMCompositeScatterArray() is a non-variadic alternative that is often more convenient for library callers and is Many braccessible from Fortran. Many br

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), Many brDMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries() Many brDMCompositeScatterArray() Many br

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html